org.eclipse.actf.model.dom.odf.office

## Interface SpreadSheetElement

All Superinterfaces:
  ContentBaseElement, Element, Node, ODFElement

    public interface SpreadSheetElement
    extends ContentBaseElement

Interface for <office:spreadsheet> element.

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

Methods
`TableElement` `createTable(long idx, String name)`
`TableElement` `getActiveTable()`
`boolean` `getAttrTableStructureProtected()`
`TableElement` `getTable(long idx)`
`TableElement` `getTableByName(String name)`
`long` `getTableSize()`

### Methods inherited from interface org.eclipse.actf.model.dom.odf.base.ContentBaseElement

`createRange, getContentType`

### Methods inherited from interface org.w3c.dom.Element

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Method Detail

#### getAttrTableStructureProtected

    boolean getAttrTableStructureProtected()

#### getTable

    TableElement getTable(long idx)

#### getTableByName

    TableElement getTableByName(String name)

#### getTableSize

    long getTableSize()

#### createTable

    TableElement createTable(long idx,
                           String name)

#### getActiveTable

    TableElement getActiveTable()